<header>
    <nav class="navbar navbar-expand navbar-dark bg-dark">
        <span class="navbar-brand">Messagerie</span>
        <div class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarsExample02"
                aria-controls="navbars" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </div>
    </nav>
</header>

<main class="chat">
    <div class="container">
        <div class="chat-discussion">
            <ul class="list-group list-group-flush">
                <li class="list-group-item" >
                    <strong>User-1: </strong>
                    <span *ngFor="let message of messages_sender">{{message.text}} <br></span>
                </li>
                <li class="list-group-item" >
                    <strong>User-2: </strong>
                    <span *ngFor="let message of messages_receiver">{{message.text}}<br></span>
                </li>
            </ul>
        </div>
    </div>
</main>

<footer>
    <form [formGroup]="sendForm">
        <div class="chat row">
            <div class="col-1" >
                <select [(ngModel)]= 'ngDropdown' placeholder="Select user" name="dropdownOption" id="dropdownOption" class='form-control'>
                    <option value="1">User-1</option>
                    <option value="2">User-2</option>
                </select>
            </div>
            <div class="col-8">
                <input type="text" class="form-control" placeholder="Write a message" name="chat" id="input-message" #chat>
            </div>
            <div class="col-2">
                <button (click)="sendMessage(chat.value)" type="submit" class="btn btn-primary" [(ngModel)]='message'> Send </button>
            </div>
        </div>
    </form>
</footer>